Bug 10109 - bad X keyboard configuration with kickstart - 6.2
Summary: bad X keyboard configuration with kickstart - 6.2
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-10 13:04 UTC by Trond Eivind Glomsrød
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-30 16:32:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The kickstart file (983 bytes, text/plain)
2000-03-10 13:05 UTC, Trond Eivind Glomsrød
no flags Details
An NFS kickstart test case for the lab (926 bytes, text/plain)
2000-03-27 15:23 UTC, Trond Eivind Glomsrød
no flags Details

Description Trond Eivind Glomsrød 2000-03-10 13:04:26 UTC
This is with 6.1.98

I specified this in the kickstart file (I'll attach it):

keyboard no

The XF86Config file contains this:

#    XkbOptions  "ctrl:nocaps"
    XkbRules    "xfree86"
    XkbModel    "pc101"
    XkbLayout   "us"
EndSection

That is, it has an american keyboard setting.

Comment 1 Trond Eivind Glomsrød 2000-03-10 13:05:59 UTC
Created attachment 148 [details]
The kickstart file

Comment 2 Jay Turner 2000-03-13 20:56:59 UTC
This should be fixed in the final product.  There was a problem with the
Norwegian keymap mapping.  I will test this out here in the lab.

Comment 3 Jay Turner 2000-03-15 20:19:59 UTC
I am not able to replicate this in the test lab.  Specifying "no" as the
keyboard in the kickstart config file results in the keyboard being set
correctly in both /etc/sysconfig/keyboard and /etc/X11/XF86Config, so I am
assumming that we fixed this in the last round of keyboard fixes just before the
freeze.

Comment 4 Trond Eivind Glomsrød 2000-03-26 22:30:59 UTC
Reproduced in lab with 6.2 final.

Comment 5 Trond Eivind Glomsrød 2000-03-27 15:10:59 UTC
Not just Norwegian keyboard - same problem with German and Italian, and thus
probably all foreign keyboards

Comment 6 Trond Eivind Glomsrød 2000-03-27 15:23:59 UTC
Created attachment 161 [details]
An NFS kickstart test case for the lab

Comment 7 Michael Fulbright 2000-03-30 16:32:59 UTC
Fixed in internal development version.


Note You need to log in before you can comment on or make changes to this bug.